<?php

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

define('ASWP_PLUGIN_URL', plugin_dir_url(__FILE__));
define('ASWP_ATHENA_CORE_INC', dirname(__FILE__) . '/src/');

/*
*  Includes
*/
// Load the Core Functions
if (file_exists(ASWP_ATHENA_CORE_INC . 'athena-core-functions.php')) {
	include_once ASWP_ATHENA_CORE_INC . 'athena-core-functions.php';
}

// Load the API Endpoints
if (file_exists(ASWP_ATHENA_CORE_INC . 'athena-api-endpoints.php')) {
	include_once ASWP_ATHENA_CORE_INC . 'athena-api-endpoints.php';
}

// Load Logger Helper
if (file_exists(ASWP_ATHENA_CORE_INC . 'Helpers/Logger.php')) {
	include_once ASWP_ATHENA_CORE_INC . 'Helpers/Logger.php';
}